# Django .env template file

# Compose
COMPOSE_PROJECT_NAME=dynavera

# Directories
DJANGO_FRONT_DIR=front
DJANGO_MODEL_DIR=model

# Django core
DJANGO_SECRET_KEY=change_this_to_a_secure_key
DJANGO_DEBUG=False
DJANGO_DOMAIN_NAME=localhost
DJANGO_ALLOWED_HOSTS=localhost,127.0.0.1

# Celery
DJANGO_CELERY_BROKER_URL=redis://localhost:6379/0

# Static & Media paths
DJANGO_STATIC_URL=/static/
DJANGO_MEDIA_URL=/media/
DJANGO_STATIC_ROOT=static
DJANGO_MEDIA_ROOT=media

# Database
DJANGO_DB_ENGINE=django.db.backends.sqlite3
POSTGRES_DB=postgres_db_name
POSTGRES_USER=postgres_user
POSTGRES_PASSWORD=postgres_password
POSTGRES_HOST=localhost
POSTGRES_PORT=5432

# Inference server
INFERENCE_PROTOCOL=http
INFERENCE_HOST=localhost
INFERENCE_PORT=8001
INFERENCE_USERNAME=admin
INFERENCE_PASSWORD=change_this_to_a_secure_password

# Production YAML (Ignore if you're setting up locally)
FYP_DJANGO_IMAGE=dynavera-django:prod
FYP_CELERY_IMAGE=dynavera-celery:prod
DJANGO_ENTRYPOINT=websecure
CERTRESOLVER=myresolver
DJANGO_PORT=8000
GITLAB_USER=yourgitlabuser
GITLAB_PASS=yourgitlabpass
GITLAB_SERVER_URL=https://gitlab.com/
GITLAB_RUNNER_REGISTRATION_TOKEN=your_registration_token
GITLAB_RUNNER_DOCKER_IMAGE=python:3.10-slim
GITLAB_RUNNER_IMAGE_TAG=latest